/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
.user-menu-container {
  right: 60px;

  .ant-menu-submenu {
    border: 1px solid #fff;
    .ant-menu-submenu-title {
      color: black;
      font-weight: 600;
      height: fit-content;
      font-size: 1.4rem !important;
      margin: 0;
      &:hover {
        text-decoration: underline;
        background-color: @platform-blue4;
      }
      &:focus-visible {
        outline: 0.1rem dotted #000;
      }
    }
    &:focus-within {
      background-color: @platform-blue4;
      text-decoration: underline;
      border-radius: 3px;
    }
    &:focus-visible {
      outline-offset: 2px !important;
      background-color: @platform-blue4;
      text-decoration: underline;
      border-radius: 3px;
      outline: 0.1rem dotted #000 !important;
    }
    &:hover {
      & > .ant-menu-submenu-title {
        & > .ant-menu-submenu-arrow {
          color: #000;
        }
      }
    }
  }
  .ant-menu-item {
    width: 100%;
    &:hover {
      background-color: @platform-blue4 !important;
    }
    .ant-btn {
      width: 100%;
      text-align: start;
      &:hover,
      &:focus,
      &:active {
        background-color: unset !important;
        color: unset !important;
      }
      .ant-btn-text {
        &:hover,
        &:focus {
          background: @platform-blue4;
          color: black;
        }
      }
    }
    &.ant-menu-item-active,
    &.ant-menu-item-selected {
      background-color: @platform-blue4;
      * {
        color: black;
      }
      &:hover * {
        text-decoration: underline;
      }
    }
    &.ant-menu-item-disabled {
      a {
        cursor: not-allowed;
      }
    }
  }
}
#logged-in-plattform-settings-btn,
#logged-in-logout-button {
  display: block;
  width: 100%;
  text-align: start;
  line-height: 22px;
  height: fit-content;
  margin: 0 !important;
  text-decoration: none;
  color: black;
  font-weight: bold;
  padding-left: 2px;
  &:hover,
  &:focus {
    background-color: @platform-blue4;
    color: black;
    text-decoration: underline;
    border-radius: 3px;
  }
}

.ant-menu-item-divider {
  background-color: @platform-blue4;
  &.divider-sv {
    height: 2px;
  }
}
.bitv-btn-wrapper {
  position: relative;
  .bitv-avatar-circle {
    border-radius: 50%;
    position: absolute;
    top: 10px;
    left: 15px;
    border: 1px solid black;
    height: 46px;
    width: 46px;
    z-index: -1;
  }
}

.konto-wechseln-holder {
  z-index: 1063;
  left: 290px;
  @media screen and (max-width: 783px) {
    left: auto !important;
    right: 160px;
  }
  .ant-menu-item-group-title {
    display: none;
  }
}
